%define upstream_name    Crypt-Blowfish_PP
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Crypt::Blowfish_PP - Blowfish encryption algorithm implemented purely in Perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MATTBM/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%{?perl_default_filter}

%description
The Crypt::Blowfish_PP module provides for users to use the Blowfish encryption
algorithm in perl. The implementation is entirely Object Oriented, as there is
quite a lot of context inherent in making blowfish as fast as it is. The key is
anywhere between 64 and 448 bits (8 and 56 bytes), and should be passed as a
packed string. The transformation itself is a 16-round Feistel Network, and
operates on a 64 bit block.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc CHANGELOG README
%{perl_vendorlib}/Crypt/Blowfish_PP.pm
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-10.mga8
+ Revision: 1493605
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-9.mga7
+ Revision: 1266736
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.120.0-8.mga6
+ Revision: 1024504
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-7.mga6
+ Revision: 942526
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-6.mga5
+ Revision: 743201
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.120.0-5.mga5
+ Revision: 732996
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 684028
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 510324
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 364827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 10331
- imported package perl-Crypt-Blowfish_PP


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 405853
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.12-4mdv2009.0
+ Revision: 241194
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-2mdv2008.0
+ Revision: 86237
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdv2007.0
- rebuild

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdk
- initial Mandriva package

